### Method

# Camel Folder transfer_messages_to_sync

since: 3.0

#### Declaration [src]

    gboolean
    camel_folder_transfer_messages_to_sync (
      CamelFolder* source,
      GPtrArray* message_uids,
      CamelFolder* destination,
      gboolean delete_originals,
      GPtrArray** transferred_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Copies or moves messages from one folder to another. If the `source` and `destination` folders have the same parent_store, this may be more efficient than using camel_folder_append_message_sync().

Available since: 3.0

#### Parameters

`message_uids`

  Type: An array of `utf8`

  Message UIDs in `source`.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`destination`

  Type: `CamelFolder`

  The destination `CamelFolder`.

  The data is owned by the caller of the method.

`delete_originals`

  Type: `gboolean`

  Whether or not to delete the original messages.

`transferred_uids`

  Type: An array of `utf8`

  If non-`NULL`, the UIDs of the resulting messages in `destination` will be stored here, if known.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.